Bug 141091 - project burning: "copies" are not remembered
Summary: project burning: "copies" are not remembered
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-02 20:32 UTC by Maciej Pilichowski
Modified: 2007-02-06 15:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2007-02-02 20:32:15 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    SuSE RPMs

And they should be.

However! I think there are settings and settings :-) When for example verification should be remembered, period, the copies is another thing -- imho, this option should be remembered only by burning, but not by saving (settings).

Reason: it is highly unlikely the user burns 5 copies each time she/he runs k3b, but it is very likeley if I burn iso file in two copies, and after the burning is finished, I try to burn another iso file -- it also will be burned in two copies.
Comment 1 Sebastian Trueg 2007-02-05 10:03:34 UTC
Now were exactly are the settings not stored?
When saving the project?
When closing the burn dialog?
When choosing to store new user defaults?

Please, please describe the problem in more detail so I don't have to spent 
hours to find what you are talking about.
Comment 2 Maciej Pilichowski 2007-02-05 13:52:27 UTC
Sorry Sebastian.

Burn ISO (2 copies) -> burning (finished) -> burn another ISO (dialog -> 1 copy).

I tested saving settings for later usage just before first burning, but it makes no difference.
Comment 3 Sebastian Trueg 2007-02-05 14:06:52 UTC
SVN commit 630454 by trueg:

Save and load the number of copies.

BUG: 141091


 M  +5 -0      misc/k3bcdimagewritingdialog.cpp  
 M  +3 -0      misc/k3bisoimagewritingdialog.cpp  
 M  +3 -0      projects/k3bprojectburndialog.cpp  


--- trunk/extragear/multimedia/k3b/src/misc/k3bcdimagewritingdialog.cpp #630453:630454
@@ -920,6 +920,8 @@
   m_checkCacheImage->setChecked( !c->readBoolEntry("on_the_fly", true ) );
 
   m_dataModeWidget->loadConfig(c);
+
+  m_spinCopies->setValue( c->readNumEntry( "copies", 1 ) );
  
   m_checkVerify->setChecked( c->readBoolEntry( "verify_data", false ) );
 
@@ -966,6 +968,8 @@
 
   c->writePathEntry( "image path", imagePath() );
 
+  c->writeEntry( "copies", m_spinCopies->value() );
+
   QString imageType;
   if( m_comboImageType->currentItem() == 0 )
     imageType = "auto";
@@ -1004,6 +1008,7 @@
   m_checkCacheImage->setChecked( false );
   m_dataModeWidget->setDataMode( K3b::DATA_MODE_AUTO );
   m_comboImageType->setCurrentItem(0);
+  m_spinCopies->setValue( 1 );
 
   slotToggleAll();
 }
--- trunk/extragear/multimedia/k3b/src/misc/k3bisoimagewritingdialog.cpp #630453:630454
@@ -519,6 +519,7 @@
   m_writingModeWidget->loadConfig( c );
   m_checkDummy->setChecked( c->readBoolEntry("simulate", false ) );
   m_checkVerify->setChecked( c->readBoolEntry( "verify_data", false ) );
+  m_spinCopies->setValue( c->readNumEntry( "copies", 1 ) );
 
   m_writerSelectionWidget->loadConfig( c );
 
@@ -535,6 +536,7 @@
   m_writingModeWidget->saveConfig( c ),
   c->writeEntry( "simulate", m_checkDummy->isChecked() );
   c->writeEntry( "verify_data", m_checkVerify->isChecked() );
+  c->writeEntry( "copies", m_spinCopies->value() );
 
   m_writerSelectionWidget->saveConfig( c );
 
@@ -548,6 +550,7 @@
   m_writingModeWidget->setWritingMode( K3b::WRITING_MODE_AUTO );
   m_checkDummy->setChecked( false );
   m_checkVerify->setChecked( false );
+  m_spinCopies->setValue( 1 );
 }
 
 
--- trunk/extragear/multimedia/k3b/src/projects/k3bprojectburndialog.cpp #630453:630454
@@ -373,6 +373,7 @@
   c->writeEntry( "on_the_fly", !m_checkCacheImage->isChecked() );
   c->writeEntry( "remove_image", m_checkRemoveBufferFiles->isChecked() );
   c->writeEntry( "only_create_image", m_checkOnlyCreateImage->isChecked() );
+  c->writeEntry( "copies", m_spinCopies->value() );
 
   m_tempDirSelectionWidget->saveConfig( c );
   m_writerSelectionWidget->saveConfig( c );
@@ -386,6 +387,7 @@
   m_checkCacheImage->setChecked( !c->readBoolEntry( "on_the_fly", true ) );
   m_checkRemoveBufferFiles->setChecked( c->readBoolEntry( "remove_image", true ) );
   m_checkOnlyCreateImage->setChecked( c->readBoolEntry( "only_create_image", false ) );
+  m_spinCopies->setValue( c->readNumEntry( "copies", 1 ) );
 
   m_tempDirSelectionWidget->readConfig( c );
   m_writerSelectionWidget->loadConfig( c );
@@ -400,6 +402,7 @@
   m_checkCacheImage->setChecked( false );
   m_checkRemoveBufferFiles->setChecked( true );
   m_checkOnlyCreateImage->setChecked( false );
+  m_spinCopies->setValue( 1 );
 
   if( m_tempDirSelectionWidget->selectionMode() == K3bTempDirSelectionWidget::DIR )
     m_tempDirSelectionWidget->setTempPath( K3b::defaultTempPath() );
Comment 4 Maciej Pilichowski 2007-02-05 20:05:25 UTC
Sebastian, with those changes would it possible to remember the copies "on-fly" (as I pointed out in the report)?
Comment 5 Sebastian Trueg 2007-02-06 15:25:53 UTC
No, they are now handled like all other settings, too. And for 1.0 this won't change. After 1.0 we are again free to do all sorts of stuff.